# PINKCONNECTION2 Bit Mappings

This information was sourced from Cheese-E-Pedia, the Showbiz Pizza Cyberstar Install Manual, and the Chuck E. Cheese 2-Stage Install Manual.

## RAE/3 stage

### Rolfe Dewolfe & Earl Schmerle/Chuck E. Cheese

| Movement Name   | UST Single Character Bit | UST Full Stage Bit | RR Engine Bit | Greybox Bit | R12 Bit      | R12 Inverted |
| --------------- | ------------------------ | ------------------ | ------------- | ----------- | ------------ | ------------ |
| Mouth           | 1                        | 1                  | 1             | 1-1         | TB1 1-2 H1   | No           |
| Left Ear        | 2                        | 2                  | 9             | 1-9         |              |              |
| Right Ear       | 3                        | 3                  | 10            | 1-10        |              |              |
| Left Eyelid     | 4                        | 4                  | 2             | 1-2         | TB1 11-12 H1 | Yes          |
| Right Eyelid    | 5                        | 5                  | 3             | 1-3         |              |              |
| Eyes Left       | 6                        | 6                  | 4             | 1-4         | TB1 15-16 H1 | No           |
| Eyes Right      | 7                        | 7                  | 5             | 1-5         | TB1 9-10 H1  | No           |
| Head Left       | 8                        | 8                  | 6             | 1-6         | TB1 3-4 H1   | No           |
| Head Right      | 9                        | 9                  | 7             | 1-7         | TB1 5-6 H1   | No           |
| Head Up         | 10                       | 10                 | 8             | 1-8         | TB1 7-8 H1   | Yes          |
| Left Arm Up     | 11                       | 11                 | 11            | 1-11        |              |              |
| Left Arm Twist  | 12                       | 12                 | 12            | 1-12        |              |              |
| Left Elbow      | 13                       | 13                 | 13            | 1-13        |              |              |
| Right Arm Up    | 14                       | 14                 | 17            | 1-17        |              |              |
| Right Arm Twist | 15                       | 15                 | 18            | 1-18        |              |              |
| Right Elbow     | 16                       | 16                 | 19            | 1-19        | TB1 13-14 H1 | No           |
| Body Left       | 17                       | 17                 | 14            | 1-14        |              |              |
| Body Right      | 18                       | 18                 | 15            | 1-15        |              |              |
| Body Lean       | 19                       | 19                 | 16            | 1-16        |              |              |
| Earl Head Tilt  | 20                       | 20                 | 20            | 1-20        |              |              |
| Earl Mouth      | 21                       | 21                 | 36            | 1-36        |              |              |
| Earl Eyebrow    | 22                       | 22                 | 37            | 1-37        |              |              |

Earl's movements were removed during Concept Unification.

### Mitzi Mozzarella/Helen Henny

| Movement Name   | UST Single Character Bit | UST Full Stage Bit | RR Engine Bit | Greybox Bit | R12 Bit      | R12 Inverted |
| --------------- | ------------------------ | ------------------ | ------------- | ----------- | ------------ | ------------ |
| Mouth           | 1                        | 23                 | 185           | 2-35        | TB1 1-2 H5   | No           |
| Left Ear        | 2                        | 24                 | 176           | 2-26        |              |              |
| Right Ear       | 3                        | 25                 | 177           | 2-27        |              |              |
| Left Eyelid     | 4                        | 26                 | 181           | 2-31        | TB1 11-12 H5 | Yes          |
| Right Eyelid    | 5                        | 27                 | 182           | 2-32        |              |              |
| Eyes Left       | 6                        | 28                 | 183           | 2-33        | TB1 15-16 H5 | No           |
| Eyes Right      | 7                        | 29                 | 184           | 2-34        | TB1 9-10 H5  | No           |
| Head Left       | 8                        | 30                 | 178           | 2-28        | TB1 3-4 H5   | No           |
| Head Right      | 9                        | 31                 | 179           | 2-29        | TB1 5-6 H5   | No           |
| Head Up         | 10                       | 32                 | 180           | 2-30        | TB1 7-8 H5   | Yes          |
| Left Arm Up     | 11                       | 33                 | 173           | 2-23        |              |              |
| Left Arm Twist  | 12                       | 34                 | 175           | 2-25        |              |              |
| Left Elbow      | 13                       | 35                 | 174           | 2-24        |              |              |
| Right Arm Up    | 14                       | 36                 | 168           | 2-18        |              |              |
| Right Arm Twist | 15                       | 37                 | 170           | 2-20        |              |              |
| Right Elbow     | 16                       | 38                 | 169           | 2-19        | TB1 13-14 H5 | No           |
| Body Left       | 17                       | 39                 | 186           | 2-36        |              |              |
| Body Right      | 18                       | 40                 | 187           | 2-37        |              |              |
| Body Lean       | 19                       | 41                 | 188           | 2-38        |              |              |

No movements were removed during Concept Unification.

### Fatz Geronimo/Mr. Munch

| Movement Name   | UST Single Character Bit | UST Full Stage Bit | RR Engine Bit | Greybox Bit | R12 Bit      | R12 Inverted |
| --------------- | ------------------------ | ------------------ | ------------- | ----------- | ------------ | ------------ |
| Mouth           | 1                        | 42                 | 45            | 1-45        | TB1 1-2 H4   | No           |
| Left Eyelid     | 2                        | 43                 | 41            | 1-41        | TB1 11-12 H4 | Yes          |
| Right Eyelid    | 3                        | 44                 | 42            | 1-42        |              |              |
| Eyes Left       | 4                        | 45                 | 43            | 1-43        | TB1 15-16 H4 | No           |
| Eyes Right      | 5                        | 46                 | 44            | 1-44        | TB1 9-10 H4  | No           |
| Head Left       | 6                        | 47                 | 54            | 1-54        | TB1 3-4 H4   | No           |
| Head Right      | 7                        | 48                 | 55            | 1-55        | TB1 5-6 H4   | No           |
| Head Tilt Left  | 8                        | 49                 | 51            | 1-51        |              |              |
| Head Tilt Right | 9                        | 50                 | 52            | 1-52        |              |              |
| Head Up         | 10                       | 51                 | 53            | 1-53        |              |              |
| Left Arm Swing  | 11                       | 52                 | 57            | 1-57        |              |              |
| Left Elbow      | 12                       | 53                 | 59            | 1-59        | TB1 7-8 H4   | Yes          |
| Right Arm Swing | 13                       | 54                 | 58            | 1-58        | TB1 13-14 H4 | Yes          |
| Right Elbow     | 14                       | 55                 | 60            | 1-60        |              |              |
| Foot Tap        | 15                       | 56                 | 61            | 1-61        |              |              |
| Body Lean       | 16                       | 57                 | 62            | 1-62        |              |              |

No movements were removed during Concept Unification.

### Beach Bear/Jasper T. Jowls

| Movement Name   | UST Single Character Bit | UST Full Stage Bit | RR Engine Bit | Greybox Bit | R12 Bit                   | R12 Inverted |
| --------------- | ------------------------ | ------------------ | ------------- | ----------- | ------------------------- | ------------ |
| Mouth           | 1                        | 58                 | 166           | 2-16        | TB1 1-2 H2                | No           |
| Left Eyelid     | 2                        | 59                 | 151           | 2-1         | TB1 11-12 H2              | Yes          |
| Right Eyelid    | 3                        | 60                 | 152           | 2-2         |                           |              |
| Eyes Cross      | 4                        | 61                 | 153           | 2-3         |                           |              |
| Head Left       | 5                        | 62                 | 156           | 2-6         | TB1 3-4 H2 & TB1 15-16 H2 | No           |
| Head Right      | 6                        | 63                 | 157           | 2-7         | TB1 5-6 H2 & TB1 9-10 H2  | No           |
| Head Up         | 7                        | 64                 | 158           | 2-8         | TB1 7-8 H2                | Yes          |
| Right Arm Raise | 8                        | 65                 | 161           | 2-11        |                           |              |
| Right Arm Twist | 9                        | 66                 | 162           | 2-12        |                           |              |
| Right Elbow     | 10                       | 67                 | 163           | 2-13        | TB1 13-14 H2              | No           |
| Right Wrist     | 11                       | 68                 | 164           | 2-14        |                           |              |
| Left Hand Slide | 12                       | 69                 | 154           | 2-4         |                           |              |
| Guitar Raise    | 13                       | 70                 | 155           | 2-5         |                           |              |
| Left Leg Kick   | 14                       | 71                 | 159           | 2-9         |                           |              |
| Right Leg Kick  | 15                       | 72                 | 160           | 2-10        |                           |              |
| Body Lean       | 16                       | 73                 | 165           | 2-15        |                           |              |

No movements were removed during Concept Unification.

### Dook Larue/Pasqually

| Movement Name   | UST Single Character Bit | UST Full Stage Bit | RR Engine Bit | Greybox Bit | R12 Bit      | R12 Inverted |
| --------------- | ------------------------ | ------------------ | ------------- | ----------- | ------------ | ------------ |
| Mouth           | 1                        | 74                 | 30            | 1-30        | TB1 1-2 H3   | No           |
| Left Ear        | 2                        | 75                 | 23            | 1-23        |              |              |
| Right Ear       | 3                        | 76                 | 24            | 1-24        |              |              |
| Left Eyelid     | 4                        | 77                 | 26            | 1-26        | TB1 11-12 H3 | Yes          |
| Right Eyelid    | 5                        | 78                 | 27            | 1-27        |              |              |
| Eyes Left       | 6                        | 79                 | 28            | 1-28        | TB1 15-16 H3 | No           |
| Eyes Right      | 7                        | 80                 | 29            | 1-29        | TB1 9-10 H3  | No           |
| Head Left       | 8                        | 81                 | 25            | 1-25        | TB1 3-4 H3   | No           |
| Head Right      | 9                        | 82                 | 21            | 1-21        | TB1 5-6 H3   | No           |
| Head Up         | 10                       | 83                 | 22            | 1-22        |              |              |
| Left Arm Swing  | 11                       | 84                 | 33            | 1-33        |              |              |
| Left Elbow      | 12                       | 85                 | 35            | 1-35        | TB1 7-8 H3   | Yes          |
| Right Arm Swing | 13                       | 86                 | 34            | 1-34        |              |              |
| Right Elbow     | 14                       | 87                 | 31            | 1-31        | TB1 13-14 H3 | Yes          |
| Hi-Hat          | 15                       | 88                 | 32            | 1-32        |              |              |
| Kick Drum       | 16                       | 89                 | 63            | 1-63        |              |              |
| Body Lean       | 17                       | 90                 | 64            | 1-64        |              |              |

Ear movements and Kick Drum were removed during Concept Unification.

### Billy Bob

| Movement Name   | UST Single Character Bit | UST Full Stage Bit | RR Engine Bit | Greybox Bit |
| --------------- | ------------------------ | ------------------ | ------------- | ----------- |
| Mouth           | 1                        | 91                 | 196           | 2-46        |
| Left Eyelid     | 2                        | 92                 | 197           | 2-47        |
| Right Eyelid    | 3                        | 93                 | 198           | 2-48        |
| Eyes Left       | 4                        | 94                 | 199           | 2-49        |
| Eyes Right      | 5                        | 95                 | 200           | 2-50        |
| Head Left       | 6                        | 96                 | 201           | 2-51        |
| Head Right      | 7                        | 97                 | 202           | 2-52        |
| Head Tilt Left  | 8                        | 98                 | 203           | 2-53        |
| Head Tilt Right | 9                        | 99                 | 204           | 2-54        |
| Head Up         | 10                       | 100                | 205           | 2-55        |
| Right Arm Raise | 11                       | 101                | 206           | 2-56        |
| Right Arm Twist | 12                       | 102                | 207           | 2-57        |
| Right Elbow     | 13                       | 103                | 208           | 2-58        |
| Right Wrist     | 14                       | 104                | 209           | 2-59        |
| Left Hand Slide | 15                       | 105                | 189           | 2-39        |
| Guitar Raise    | 16                       | 106                | 190           | 2-40        |
| Foot Tap        | 17                       | 107                | 194           | 2-44        |
| Body Left       | 18                       | 108                | 211           | 2-61        |
| Body Right      | 19                       | 109                | 212           | 2-62        |
| Body Lean       | 20                       | 110                | 213           | 2-63        |

Entire bot was removed during Concept Unification.

### Looney Bird/Pizzacam

| Movement Name   | UST Single Character Bit | UST Full Stage Bit | RR Engine Bit | Greybox Bit |
| --------------- | ------------------------ | ------------------ | ------------- | ----------- |
| Mouth           | 1                        | 111                | 167           | 2-17        |
| Left Eyelid     | 2                        | 112                | 191           | 2-41        |
| Right Eyelid    | 3                        | 113                | 192           | 2-42        |
| Eyes Cross      | 4                        | 114                | 193           | 2-43        |
| Head Left       | 5                        | 115                | 171           | 2-21        |
| Raise           | 6                        | 116                | 172           | 2-22        |
| Hands           | 7                        | 117                | 48            | 1-48        |

Hand movement was removed during Concept Unification.

## R12 (Road/1-Stage/2-Stage)

### Chuck E. Cheese

| Movement Name | UST Single Character Bit | UST Full Stage Bit | RR Engine Bit | CCS Bit      |
| ------------- | ------------------------ | ------------------ | ------------- | ------------ |
| Mouth         | 1                        | 1                  | 1             | TB1 1-2 H1   |
| Head Left     | 2                        | 2                  | 2             | TB1 3-4 H1   |
| Head Right    | 3                        | 3                  | 3             | TB1 5-6 H1   |
| Head Up       | 4                        | 4                  | 4             | TB1 7-8 H1   |
| Eyes Left     | 5                        | 5                  | 8             | TB1 15-16 H1 |
| Eyes Right    | 6                        | 6                  | 5             | TB1 9-10 H1  |
| Eyelids       | 7                        | 7                  | 6             | TB1 11-12 H1 |
| Right Arm     | 8                        | 8                  | 7             | TB1 13-14 H1 |

### Helen Henny/Guest Star

| Movement Name | UST Single Character Bit | UST Full Stage Bit | RR Engine Bit | CCS Bit      |
| ------------- | ------------------------ | ------------------ | ------------- | ------------ |
| Mouth         | 1                        | 9                  | 65            | TB1 1-2 H5   |
| Head Left     | 2                        | 10                 | 66            | TB1 3-4 H5   |
| Head Right    | 3                        | 11                 | 67            | TB1 5-6 H5   |
| Head Up       | 4                        | 12                 | 68            | TB1 7-8 H5   |
| Eyes Left     | 5                        | 13                 | 72            | TB1 15-16 H5 |
| Eyes Right    | 6                        | 14                 | 69            | TB1 9-10 H5  |
| Eyelids       | 7                        | 15                 | 70            | TB1 11-12 H5 |
| Right Arm     | 8                        | 16                 | 71            | TB1 13-14 H5 |

### Mr. Munch

| Movement Name | UST Single Character Bit | UST Full Stage Bit | RR Engine Bit | CCS Bit      |
| ------------- | ------------------------ | ------------------ | ------------- | ------------ |
| Mouth         | 1                        | 17                 | 49            | TB1 1-2 H4   |
| Head Left     | 2                        | 18                 | 50            | TB1 3-4 H4   |
| Head Right    | 3                        | 19                 | 51            | TB1 5-6 H4   |
| Eyes Left     | 4                        | 20                 | 56            | TB1 15-16 H4 |
| Eyes Right    | 5                        | 21                 | 53            | TB1 9-10 H4  |
| Eyelids       | 6                        | 22                 | 54            | TB1 11-12 H4 |
| Right Arm     | 7                        | 23                 | 55            | TB1 13-14 H4 |
| Left Arm      | 8                        | 24                 | 52            | TB1 7-8 H4   |

### Jasper T. Jowls

| Movement Name | UST Single Character Bit | UST Full Stage Bit | RR Engine Bit | CCS Bit      |
| ------------- | ------------------------ | ------------------ | ------------- | ------------ |
| Mouth         | 1                        | 25                 | 17            | TB1 1-2 H2   |
| Head Left     | 2                        | 26                 | 18            | TB1 3-4 H2   |
| Head Right    | 3                        | 27                 | 19            | TB1 5-6 H2   |
| Head Up       | 4                        | 28                 | 20            | TB1 7-8 H2   |
| Eyes Left     | 5                        | 29                 | 24            | TB1 15-16 H2 |
| Eyes Right    | 6                        | 30                 | 21            | TB1 9-10 H2  |
| Eyelids       | 7                        | 31                 | 22            | TB1 11-12 H2 |
| Strum         | 8                        | 32                 | 23            | TB1 13-14 H2 |

### Pasqually

| Movement Name | UST Single Character Bit | UST Full Stage Bit | RR Engine Bit | CCS Bit      |
| ------------- | ------------------------ | ------------------ | ------------- | ------------ |
| Mouth         | 1                        | 33                 | 33            | TB1 1-2 H3   |
| Head Left     | 2                        | 34                 | 34            | TB1 3-4 H3   |
| Head Right    | 3                        | 35                 | 35            | TB1 5-6 H3   |
| Eyes Left     | 4                        | 36                 | 40            | TB1 15-16 H3 |
| Eyes Right    | 5                        | 37                 | 37            | TB1 9-10 H3  |
| Eyelids       | 6                        | 38                 | 38            | TB1 11-12 H3 |
| Right Arm     | 7                        | 39                 | 39            | TB1 13-14 H3 |
| Left Arm      | 8                        | 40                 | 36            | TB1 7-8 H3   |
